#include "../generator.h"
#include "../level.h"
#include <stdlib.h>

#define N PLATFORM_COUNT

gen3::gen3() : last_pos{0, 1, 2} { srand(123456); }

void gen3::generate(level_t *level)
{
	struct section section;

	for (int i = 0; i < 3; ++i) {
		this->last_pos[i] += (rand() % 3) - 1;
		if (this->last_pos[i] < 0)
			this->last_pos[i] = N - 1;
		if (this->last_pos[i] >= N)
			this->last_pos[i] = 0;
	}

	for (int i = 0; i < N; ++i) {
		section.platforms[i].type = PLATFORM_EMPTY;
		if (i == this->last_pos[0]
			|| i == this->last_pos[1]
			|| i == this->last_pos[2]
		) {
			section.platforms[i].type = PLATFORM_WHITE;
		}
	}

	level->section_buffer.push_back(section);
}
