#ifndef GENERATOR
# define GENERATOR

struct level;
typedef struct level level_t;

struct generator
{
	virtual void generate(level_t *) = 0;
	virtual ~generator() = default;
};

struct gen1 : public generator
{
	gen1();
	void generate(level_t *) override;
	~gen1() override = default;

	int last_pos;
};

struct gen2 : public generator
{
	gen2();
	void generate(level_t *) override;
	~gen2() override = default;

	int last_pos;
};

struct gen3 : public generator
{
	gen3();
	void generate(level_t *) override;
	~gen3() override = default;

	int last_pos[3];
};

#endif /* GENERATOR */
