#include "../generator.h"
#include "../level.h"
#include <stdlib.h>

#define N PLATFORM_COUNT

gen2::gen2() : last_pos{0} { srand(123456); }

void gen2::generate(level_t *level)
{
	struct section section;

	this->last_pos += (rand() % 3) - 1;
	if (this->last_pos < 0)
		this->last_pos = N - 1;
	if (this->last_pos >= N)
		this->last_pos = 0;

	for (int i = 0; i < N; ++i) {
		if (i == this->last_pos)
			section.platforms[i].type = PLATFORM_WHITE;
		else
			section.platforms[i].type =
				(rand() % 2) ? PLATFORM_EMPTY : PLATFORM_WHITE;
	}

	level->section_buffer.push_back(section);
}
